package com.friday.operation.api.keepalive.dto.smartrpa;

import com.alibaba.fastjson.JSONObject;
import com.friday.operation.api.tooldriver.dto.rpa.ReleaseDto;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
public class OcProcessReleaseDto implements Serializable {
    private Long releaseId;
    private String processName;
    private String processVersion;
    private Long groupId;
    private String fileName;
    private String fileKey;

    public ReleaseDto tranToReleaseDto(){
        return ReleaseDto.builder()
                .key(String.valueOf(this.releaseId))
                .name(this.processName)
                .processVersion(this.getProcessVersion())
                .build();
    }
}
